vshost-util-vserver

Build script and sources for util-vserver.
git clone https://ccx.te2000.cz/git/vshost-util-vserver
Log | Files | Refs

vyum (2265B)


      1 #! /bin/bash
      2 # $Id$
      3 
      4 # Copyright (C) 2005 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
      5 #  
      6 # This program is free software; you can redistribute it and/or modify
      7 # it under the terms of the GNU General Public License as published by
      8 # the Free Software Foundation; version 2 of the License.
      9 #  
     10 # This program is distributed in the hope that it will be useful,
     11 # but WITHOUT ANY WARRANTY; without even the implied warranty of
     12 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     13 # GNU General Public License for more details.
     14 #  
     15 # You should have received a copy of the GNU General Public License
     16 # along with this program; if not, write to the Free Software
     17 # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
     18 
     19 : ${UTIL_VSERVER_VARS:=/usr/lib/util-vserver/util-vserver-vars}
     20 test -e "$UTIL_VSERVER_VARS" || {
     21     echo $"Can not find util-vserver installation (the file '$UTIL_VSERVER_VARS' would be expected); aborting..." >&2
     22     exit 1
     23 }
     24 . "$UTIL_VSERVER_VARS"
     25 . "$_LIB_FUNCTIONS"
     26 
     27 
     28 function showHelp()
     29 {
     30     echo \
     31 $"Usage: $0 <vserver-name>* [--all] -- <params>+
     32 
     33 Report bugs to <$PACKAGE_BUGREPORT>."
     34     exit 0
     35 }
     36 
     37 function showVersion()
     38 {
     39     echo \
     40 $"vyum $PACKAGE_VERSION -- yum for vservers
     41 This program is part of $PACKAGE_STRING
     42 
     43 Copyright (C) 2005 Enrico Scholz
     44 This program is free software; you may redistribute it under the terms of
     45 the GNU General Public License.  This program has absolutely no warranty."
     46     exit 0
     47 }
     48 
     49 tmp=$(getopt -o +q --long help,version,debug,quiet,all -n "$0" -- "$@") || exit 1
     50 eval set -- "$tmp"
     51 
     52 declare -a send_through yum_opts
     53 
     54 while true; do
     55     case "$1" in
     56 	(--help)    	showHelp $0 ;;
     57 	(--version) 	showVersion ;;
     58 	(--debug)	send_through=( "${send_through[@]}" "$1" ); set -x;;
     59 	(--quiet|-q)	send_through=( "${send_through[@]}" "$1" );;
     60 	(--all)         yum_opts=( "${yum_opts[@]}" "$1" );;
     61 	(--)		shift; break;;
     62 	(*)	   	echo $"vyum: internal error; arg=='$1'" >&2; exit 1;;
     63     esac
     64     shift
     65 done
     66 
     67 VSOMETHING_TITLE=vyum
     68 VSOMETHING_WORKER=$_VYUM_WORKER
     69 VSOMETHING_PKGMGMT=1
     70 
     71 export VSOMETHING_TITLE VSOMETHING_WORKER VSOMETHING_PKGMGMT
     72 
     73 test ${#yum_opts[@]} -eq 0 || yum_opts=( "${yum_opts[@]}" -- )
     74 exec $_VSOMETHING "${send_through[@]}" yum "${yum_opts[@]}" "$@"